Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# IOPC.i File Reference

This graph shows which files directly or indirectly include this file:

## Defines
#define | __TAO_UNBOUNDED_SEQUENCE_IOP_IOR__TAO_SEQ_TAGGEDPROFILE_CI_
#define | __TAO_UNBOUNDED_SEQUENCE_IOP_MULTIPLECOMPONENTPROFILE_CI_
#define | _IOP_MULTIPLECOMPONENTPROFILE_CI_
#define | __TAO_UNBOUNDED_SEQUENCE_IOP_TAGGEDCOMPONENTLIST_CI_
#define | _IOP_TAGGEDCOMPONENTLIST_CI_
#define | __TAO_UNBOUNDED_SEQUENCE_IOP_TAGGEDCOMPONENTSEQ_CI_
#define | _IOP_TAGGEDCOMPONENTSEQ_CI_
#define | __TAO_UNBOUNDED_SEQUENCE_IOP_SERVICECONTEXTLIST_CI_
#define | _IOP_SERVICECONTEXTLIST_CI_
#define | _IOP_CODEC___CI_
#define | _IOP_CODECFACTORY___CI_
## Functions
CORBA::Boolean TAO_Export | operator>> (TAO_InputCDR &, IOP::TaggedProfile::_tao_seq_Octet &)
ACE_INLINE CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const IOP::TaggedProfile &_tao_aggregate)
ACE_INLINE CORBA::Boolean | operator>> (TAO_InputCDR &strm, IOP::TaggedProfile &_tao_aggregate)
CORBA::Boolean TAO_Export | operator<< (TAO_OutputCDR &, const IOP::IOR::_tao_seq_TaggedProfile &)
CORBA::Boolean TAO_Export | operator>> (TAO_InputCDR &, IOP::IOR::_tao_seq_TaggedProfile &)
ACE_INLINE CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const IOP::IOR &_tao_aggregate)
ACE_INLINE CORBA::Boolean | operator>> (TAO_InputCDR &strm, IOP::IOR &_tao_aggregate)
CORBA::Boolean TAO_Export | operator<< (TAO_OutputCDR &, const IOP::TaggedComponent::_tao_seq_Octet &)
CORBA::Boolean TAO_Export | operator>> (TAO_InputCDR &, IOP::TaggedComponent::_tao_seq_Octet &)
ACE_INLINE CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const IOP::TaggedComponent &_tao_aggregate)
ACE_INLINE CORBA::Boolean | operator>> (TAO_InputCDR &strm, IOP::TaggedComponent &_tao_aggregate)
CORBA::Boolean TAO_Export | operator<< (TAO_OutputCDR &, const IOP::MultipleComponentProfile &)
CORBA::Boolean TAO_Export | operator>> (TAO_InputCDR &, IOP::MultipleComponentProfile &)
CORBA::Boolean TAO_Export | operator<< (TAO_OutputCDR &, const IOP::TaggedComponentList &)
CORBA::Boolean TAO_Export | operator>> (TAO_InputCDR &, IOP::TaggedComponentList &)
CORBA::Boolean TAO_Export | operator<< (TAO_OutputCDR &, const IOP::TaggedComponentSeq &)
CORBA::Boolean TAO_Export | operator>> (TAO_InputCDR &, IOP::TaggedComponentSeq &)
CORBA::Boolean TAO_Export | operator<< (TAO_OutputCDR &, const IOP::ServiceContext::_tao_seq_Octet &)
CORBA::Boolean TAO_Export | operator>> (TAO_InputCDR &, IOP::ServiceContext::_tao_seq_Octet &)
ACE_INLINE CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const IOP::ServiceContext &_tao_aggregate)
ACE_INLINE CORBA::Boolean | operator>> (TAO_InputCDR &strm, IOP::ServiceContext &_tao_aggregate)
CORBA::Boolean TAO_Export | operator<< (TAO_OutputCDR &, const IOP::ServiceContextList &)
CORBA::Boolean TAO_Export | operator>> (TAO_InputCDR &, IOP::ServiceContextList &)
ACE_INLINE CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const IOP::Encoding &_tao_aggregate)
ACE_INLINE CORBA::Boolean | operator>> (TAO_InputCDR &strm, IOP::Encoding &_tao_aggregate)

## Define Documentation

#define __TAO_UNBOUNDED_SEQUENCE_IOP_IOR__TAO_SEQ_TAGGEDPROFILE_CI_

#define __TAO_UNBOUNDED_SEQUENCE_IOP_MULTIPLECOMPONENTPROFILE_CI_

#define __TAO_UNBOUNDED_SEQUENCE_IOP_SERVICECONTEXTLIST_CI_

#define __TAO_UNBOUNDED_SEQUENCE_IOP_TAGGEDCOMPONENTLIST_CI_

#define __TAO_UNBOUNDED_SEQUENCE_IOP_TAGGEDCOMPONENTSEQ_CI_

#define _IOP_CODEC___CI_

#define _IOP_CODECFACTORY___CI_

#define _IOP_MULTIPLECOMPONENTPROFILE_CI_

#define _IOP_SERVICECONTEXTLIST_CI_

#define _IOP_TAGGEDCOMPONENTLIST_CI_

#define _IOP_TAGGEDCOMPONENTSEQ_CI_

## Function Documentation

ACE_INLINE CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const IOP::Encoding & | _tao_aggregate
| ) |

CORBA::Boolean TAO_Export operator<< | ( | TAO_OutputCDR & | strm,
|  | const IOP::ServiceContextList & | _tao_sequence
| ) |

ACE_INLINE CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const IOP::ServiceContext & | _tao_aggregate
| ) |

CORBA::Boolean TAO_Export operator<< | ( | TAO_OutputCDR & | strm,
|  | const IOP::ServiceContext::_tao_seq_Octet & | _tao_sequence
| ) |

CORBA::Boolean TAO_Export operator<< | ( | TAO_OutputCDR & | strm,
|  | const IOP::TaggedComponentSeq & | _tao_sequence
| ) |

CORBA::Boolean TAO_Export operator<< | ( | TAO_OutputCDR & | strm,
|  | const IOP::TaggedComponentList & | _tao_sequence
| ) |

CORBA::Boolean TAO_Export operator<< | ( | TAO_OutputCDR & | strm,
|  | const IOP::MultipleComponentProfile & | _tao_sequence
| ) |

ACE_INLINE CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const IOP::TaggedComponent & | _tao_aggregate
| ) |

CORBA::Boolean TAO_Export operator<< | ( | TAO_OutputCDR & | strm,
|  | const IOP::TaggedComponent::_tao_seq_Octet & | _tao_sequence
| ) |

ACE_INLINE CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const IOP::IOR & | _tao_aggregate
| ) |

CORBA::Boolean TAO_Export operator<< | ( | TAO_OutputCDR & | strm,
|  | const IOP::IOR::_tao_seq_TaggedProfile & | _tao_sequence
| ) |

ACE_INLINE CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const IOP::TaggedProfile & | _tao_aggregate
| ) |

ACE_INLINE CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | IOP::Encoding & | _tao_aggregate
| ) |

CORBA::Boolean TAO_Export operator>> | ( | TAO_InputCDR & | strm,
|  | IOP::ServiceContextList & | _tao_sequence
| ) |

ACE_INLINE CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | IOP::ServiceContext & | _tao_aggregate
| ) |

CORBA::Boolean TAO_Export operator>> | ( | TAO_InputCDR & | strm,
|  | IOP::ServiceContext::_tao_seq_Octet & | _tao_sequence
| ) |

CORBA::Boolean TAO_Export operator>> | ( | TAO_InputCDR & | strm,
|  | IOP::TaggedComponentSeq & | _tao_sequence
| ) |

CORBA::Boolean TAO_Export operator>> | ( | TAO_InputCDR & | strm,
|  | IOP::TaggedComponentList & | _tao_sequence
| ) |

CORBA::Boolean TAO_Export operator>> | ( | TAO_InputCDR & | strm,
|  | IOP::MultipleComponentProfile & | _tao_sequence
| ) |

ACE_INLINE CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | IOP::TaggedComponent & | _tao_aggregate
| ) |

CORBA::Boolean TAO_Export operator>> | ( | TAO_InputCDR & | strm,
|  | IOP::TaggedComponent::_tao_seq_Octet & | _tao_sequence
| ) |

ACE_INLINE CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | IOP::IOR & | _tao_aggregate
| ) |

CORBA::Boolean TAO_Export operator>> | ( | TAO_InputCDR & | strm,
|  | IOP::IOR::_tao_seq_TaggedProfile & | _tao_sequence
| ) |

ACE_INLINE CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | IOP::TaggedProfile & | _tao_aggregate
| ) |

CORBA::Boolean TAO_Export operator>> | ( | TAO_InputCDR & | strm,
|  | IOP::TaggedProfile::_tao_seq_Octet & | _tao_sequence
| ) |